
%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
\secretlevel{绝密} \secretyear{2100}
\ctitlehead{学\;\;\;\;位\;\;\;\;论\;\;\;\;文} %出发需要, 否则不要更改 ctitlehead
% 再这里往下开始更改
\ctitle{无线Ad Hoc网络中已知干扰消除技术的融合与扩展机制研究}
\datesubmit{2015年10月} %提交时间
\datedefend{2015年11月} %答辩时间
%\emajor{Computer Systems Organization}
% 根据自己的情况选，不用这样复杂
\makeatletter
\ifthu@bachelor\relax\else
  \ifthu@doctor
    \cdegree{工学博士}
  \else
    \ifthu@master
      \cdegree{工学硕士}
    \fi
  \fi
\fi
\makeatother


\cdepartment[信息学院]{信息科学与工程学院}
\cmajor{通信与信息系统}
\cauthor{王凡钊} 
\date{\CJKdigits{\the\year}年\CJKnumber{\the\month}月}
\csupervisor{某某某\;教授}
% 如果没有副指导老师或者联合指导老师，把下面两行相应的删除即可。
%\cassosupervisor{\;教授}
%\ccosupervisor{某某某教授}
% 日期自动生成，如果你要自己写就改这个cdate
%\cdate{\CJKdigits{\the\year}年\CJKnumber{\the\month}月}

% 博士后部分
% \cfirstdiscipline{计算机科学与技术}
% \cseconddiscipline{系统结构}
% \postdoctordate{2009年7月——2011年7月}

\etitle{On the Integration and Extension of Known-Interference Cancellation in Wireless Ad Hoc Networks} 
% \edegree{Doctor of Science} 
\edegree{Doctor of Engineering} 
\emajor{Communication and Information Systems} 
\eauthor{Fanzhao Wang} 
\esupervisor{Professor XXX} 
%\eassosupervisor{Chen Wenguang} 
% 这个日期也会自动生成，你要改么？
% \edate{December, 2005}

% 定义中英文摘要和关键字
\begin{cabstract}
随着无线终端的增多、人们的移动越来越频繁，具有组网方式灵活等特点的无线Ad Hoc网络，成为下一代无线通信网络的一种重要组网形式。然而，开放的无线信道造成并行传输的链路间相互干扰、使得无线Ad Hoc网络性能受限。已知干扰消除(known-interference cancellation, KIC)是一种利用无线信道开放性提高无线网络性能的技术，其基本原理为：如果节点曾经发送、侦听到或接收过某个数据包，则节点已知了该数据包的内容；如果该节点再次收到了一个承载该数据包的干扰信号，则该干扰可以被消除。其基本原理可简单总结为，内容已知的干扰可以被消除。KIC的思想可用于多种通信场景，如面向两跳拓扑和双向数据流的传统网络编码(conventional network coding, CNC)和物理层网络编码(physical-layer network coding, PNC)、面向两跳拓扑和单向数据流的叠加传输、面向一个节点同时收发的全双工通信。已有KIC的研究有三大重要问题，一是贪婪的使用KIC技术(过多的使用KIC技术造成空分复用增益下降，反而降低了传输效率)、二是通信场景受限、三是缺少实用的传输方案。


本文针对这三大问题提出解决方案。所以，本文的研究可归纳为：提高已有KIC方案的效率、扩展KIC的应用场景、提出实用的KIC传输方案。针对问题一，本文提出中继方式(如存储转发、CNC和PNC等)自适应选择的机制。其基本原理为，中继方式需根据实时的网络环境进行选择，而非优先采用基于KIC的中继方式。针对问题二，本文扩展了现有的KIC技术以支持任意多跳的单/双向数据流的应用场景。本文开发的新型KIC传输技术可以支持任意多跳单/双向数据流中的
所有节点同时传输。针对问题三，本文为中继方式自适应选择机制和所提出的新型KIC传输技术分别设计了不同的信道共享协议(即MAC协议)。这些协议以MAC层为中心，紧密结合物理层和网络层，以期充分发挥KIC在无线Ad Hoc网络中的作用。本文取得主要创新点可总结如下：


(1) 中继方式自适应选择的算法设计及其在固定传输速率网络中的应用。星型拓扑是无线多跳网络的基本拓扑类型之一。本文首先以星型拓扑中的中继方式选择为研究背景。然后，把相关研究扩展到具有固定传输速率的一般多跳网络中去。本文涉及到的中继方式主要有传统的存储转发方式(也被称为plain routing, PR)，CNC和PNC。根据当前信道环境，能提供最大传输速率的中继方式被选做最佳中继方式。在此项研究中，本文首先分析和建模了各种中继方式的最大传输速率。然后，本文发现最佳中继方式选择等价于集合划分问题。该问题的解法具有极高的复杂度，无法直接用于中继方式选择。因此，本文提出基于最大加权完全匹配算法的次优解法。所提次优解法具有多项式时间复杂度，且仿真结果显示其十分接近最优解的吞吐量。为推动中继方式自适应选择算法的应用，本文提出了一个新的传输方案(overhearing-supported PNC-MAC, OPNC-MAC协议)。OPNC-MAC协议解决了传统研究不支持侦听KIC的问题，并且支持中继方式的两重选择。第一重选择是基于拓扑结构的初步判断。第二重选择是基于信号水平和节点状态的准确决定。

(2) 中继方式选择在变速率网络中的应用。考虑到可变速率传输可以提高无线网络的性能，本文接着设计了中继方式选择在变速率网络中的传输方案。在此项研究中，本文首先设计了传输速率可变的PNC中继方式。不同于其它的中继方式(如PR和CNC)，速率可变PNC的设计难点在于涉及到信号的叠加和并行传输带来的干扰。然后，本文提出了支持多种中继方式、多种数据流类型和多种传输速率的新型传输方案(rate-and-power-adaptation OPNC-MAC, RPOPNC-MAC)。该协议以MAC为中心，从网络层获取拓扑结构关系，从物理层获取信道参数，结合各层的相关信息，综合判断最佳的传输方案。RPOPNC-MAC不但为推动KIC的应用打下坚实基础，也为其它需要协作的新兴物理层传输技术的实际应用做出了示范。


(3) 新型KIC传输形式--端到端已知干扰消除(end-to-end KIC, E2E-KIC)。已有的KIC应用大多局限于一跳或者两跳的场景(如一跳FD和两跳PNC)。本文扩展现有的KIC到任意多跳的场景，提出新的KIC传输形式。E2E-KIC可用于两个端节点通过多个中继节点交换数据的双向多跳数据流场景，也可以用于某一端节点通过多个中继节点向另外一个端节点发送数据的单向多跳数据流场景。前者被称为双向E2E-KIC(bidirectional E2E-KIC, BE2E-KIC), 而后者被称为单向E2E-KIC(unidirectional E2E-KIC, UE2E-KIC)。两种E2E-KIC都支持数据流上的节点同时传输。更多的并行传输带来了更高的通信效率。理论分析和仿真都表明，E2E-KIC有潜力使得多跳数据流达到单跳传输的吞吐量。为推动E2E-KIC的应用，本文又设计了两种MAC协议分别支持两种E2E-KIC传输方案。


(4) KIC传输方案理论分析的一般方法。理论分析有助于理解传输方案的机理、指导方案设计、验证方案有效性。本文以其中的UE2E-KIC MAC(注意BE2E-KIC为中心控制式的MAC，不具有一般性)为例，介绍KIC传输方案性能分析的一般方法。其原因是：E2E-KIC比其它已有的KIC传输方案涉及到更多的节点，是基于KIC的传输方案的一般代表。以规避计时器的计数代表节点的状态，节点的状态变化被建模为一个马尔科夫链。通过分析该马尔科夫链和UE2E-KIC MAC规定的信道共享原则得出吞吐量。仿真显示理论分析结果和仿真结果相一致。本文的分析方法具有通用性，可用于其它并行传输方案的性能分析。


本文所提的算法在自主开发的离散时间网络仿真器中进行了验证。结果显示，所提算法可以在已有传输方案的基础上进一步提升无线网络的性能。同时，仿真也验证了本文理论分析的正确性。
\end{cabstract}

\ckeywords{无线Ad Hoc网络，MAC协议设计，网络编码，全双工，已知干扰消除}

\begin{eabstract} 
\indent
With the increasing number of wireless terminals and their frequent movements, wireless ad-hoc network that is of easy deployment is an important networking mode. However, open wireless channel causes the interferences between concurrent transmissions, and further brings the low efficiency of wireless networks. 


Known interference cancellation (KIC) can improve the efficiency of wireless networks through employing the openness of wireless channel. The idea of KIC is that if a node sent, overheard or received a packet, it known the content of this packet. Hence, if the node receives an interfering signal that carries this packet, the interference can be cancelled by this node. KIC can be used in many scenarios, such as, conventional network coding (CNC) and physical-layer network coding (PNC) for two-hop topology and two flows, overlapped transmission (OT) for two-hop topology and single flow, and full-duplex transmission (FD). Existing work on KIC has three main problems: greedy employment of KIC (excessively using KIC leads that the space-reusing gain is low, which reduces the transmission efficiency), limited application scenarios, and the lack of practical transmission schemes.


To tackle these problems, this thesis aims to improve the efficiency of existing KIC schemes, extend the application scenarios of KIC and propose practical transmission schemes for KIC. For the first problem, this thesis develops the idea of relaying method adaptation, which selects the best relaying method according to channel conditions, instead of preferentially selecting KIC-based relaying method. For the second problem, this thesis extends existing KIC techniques to support multi-hop unidirectional or bidirectional flows. Nodes in a multi-hop unidirectional or bidirectional flow can simultaneously transmit with the new KIC techniques. For the third problem, this thesis designs channel-sharing principles (i.e. MAC protocols) to support relaying method adaptation and the proposed KIC techniques. These protocols are close-coupled with physical and networks layers, to enhance the advantage of KIC in wireless Ad Hoc networks. The contributions of this thesis can be summarized as:


(1) Relaying method adaptation and its application in rate-fixed network. Star-shaped topology is the basic unit of wireless network. This thesis first focuses on the star-shaped topology (with only one relay node), and then, extends the results into multi-hop network. The involved relaying methods mainly include plain routing (PR), CNC, and PNC. According to the channel conditions, the relaying method that can offer the maximal transmit rate is selected as the optimal relaying method. In this study, this thesis firstly formulates the maximal transmit rates of different relaying methods. Then, this thesis finds that this optimization problem can be formulated as the well-known set partition problem, which is NP-hard. A heuristic algorithm is designed to tackle this challenge, which is based on the problem of minimum-weight perfect matching (MWPM). The proposed algorithm is of polynomial time complexity (specifically, O(n3)) and its throughput performance is close to that of the optimal method based on set partition. To apply the proposed idea of relaying method adaptation into practice, this thesis designs a new transmit scheme, i.e. overhearing-supported PNC-MAC (OPNC-MAC) protocol. This protocol supports physical-layer network coding with opportunistic overhearing and a two-level relaying method selection. The first selection level is the preliminary decision based on the topology, while the second level is the accurate decision based on the signal level and the state of nodes.


(2) The application of relaying method selection in multi-rate network. Realizing the benefit of rate adaptation, this thesis further designs a scheme to support the relaying method selection in multi-rate network. In this study, this thesis firstly designs an algorithm to optimize the transmission rate and power of PNC, which is a challenging job because of superposed signals and interferences caused by concurrent transmissions. Then, this thesis designs a MAC protocol (rate-and-power-adaptation OPNC-MAC (RPOPNC-MAC)) to support multiple flow patterns, multiple transmission rates, and multiple relaying methods. This MAC protocol can obtain topology information from network layer and channel information from physical layer, and select the optimal relaying method through jointly considering different information. RPOPNC-MAC lays a foundation for KIC's application, and also show a feasible example for the study of other promising physical techniques that need cooperations.


(3) End-to-end KIC (E2E-KIC). Existing work on KIC mainly focuses on single-hop or two-hop networks, with PNC and FD communications as typical examples. This thesis extends the idea of KIC to general multi-hop networks, and proposes an end-to-end KIC (E2E-KIC) transmit method together with its MAC design. With E2E-KIC, multiple nodes in a flow passing through a few nodes in an arbitrary topology can simultaneously transmit and receive on the same channel. According to different application scenarios, E2E-KIC has two types: bidirectional E2E-KIC (BE2E-KIC) for bidirectional multi-hop flow and unidirectional E2E-KIC (UE2E-KIC) for unidirectional multi-hop flow. This thesis firstly presents a theoretical analysis on the effectiveness of E2E-KIC (including BE2E-KIC and UE2E-KIC) in an idealized case. Then, to support E2E-KIC in multi-hop networks with arbitrary topology, this paper proposes two E2E-KIC-supported MAC protocols to support both types of E2E-KIC. 


(4) Performance analysis of KIC-based transmit schemes. Performance analysis can be used to understand the principle of transmit schemes and guide the design of transmit schemes. Because involving more nodes that concurrently transmit, UE2E-KIC and its MAC scheme is taken as an example to show the performance analysis of KIC-based transmit schemes. In the analysis, each node has a state, which is represented by the number of remaining backoff timeslots, and the state transition of a node is modeled as a Markov chain. The throughput is formulated through discussing the stationary distribution of the Markov chain and the channel-sharing principles of UE2E-KIC MAC. 


The proposed transmit schemes in this thesis are evaluated in our discrete-time simulator developed with MATLAB and C. The results show that the proposed schemes can further improve the performances of wireless networks in comparison with existing KIC schemes, and at the same time, the analysis results are very consistent with the simulation results.
\end{eabstract}

\ekeywords{Wireless Ad Hoc network, MAC protocol design, network coding, full duplex, known interference cancellation}
